local logistics_chest_ingredients = {
  { type = "item", name = "steel-chest", amount = 1 },
  { type = "item", name = "electronic-circuit", amount = 3 },
  { type = "item", name = "advanced-circuit", amount = 1 }
}

for _, quality in pairs(data.raw["quality"]) do
  if not quality.hidden then
    data:extend({{
      type = "recipe",
      name = "down-binner-" .. quality.name,
      enabled = false,
      ingredients = logistics_chest_ingredients,
      energy_required = 2,
      results = { { type = "item", name = "down-binner-" .. quality.name, amount = 1 } }
    }})
  end
end
